import { default as twProse } from '@tailwindcss/typography';

/** @type {import('tailwindcss').Config} */
declare const _default: {
    theme: {
        container: {
            center: boolean;
            padding: string;
            screens: {
                "2xl": string;
            };
        };
        extend: {
            colors: {
                "tokyo-border": {
                    DEFAULT: string;
                    subtle: string;
                };
                "tokyo-text": {
                    1: string;
                    2: string;
                    warn: string;
                };
                warn: string;
                "tokyo-placeholder": string;
                "tokyo-dark": {
                    300: string;
                    600: string;
                    800: string;
                    900: string;
                };
                "tokyo-orange": {
                    300: string;
                    900: string;
                };
                border: string;
                input: string;
                ring: string;
                background: string;
                foreground: string;
                primary: {
                    DEFAULT: string;
                    foreground: string;
                };
                secondary: {
                    DEFAULT: string;
                    foreground: string;
                };
                destructive: {
                    DEFAULT: string;
                    foreground: string;
                };
                muted: {
                    DEFAULT: string;
                    foreground: string;
                };
                accent: {
                    DEFAULT: string;
                    foreground: string;
                };
                popover: {
                    DEFAULT: string;
                    foreground: string;
                };
                card: {
                    DEFAULT: string;
                    foreground: string;
                };
            };
            borderRadius: {
                lg: string;
                md: string;
                sm: string;
            };
            keyframes: {
                "accordion-down": {
                    from: {
                        height: string;
                    };
                    to: {
                        height: string;
                    };
                };
                "accordion-up": {
                    from: {
                        height: string;
                    };
                    to: {
                        height: string;
                    };
                };
            };
            animation: {
                "accordion-down": string;
                "accordion-up": string;
            };
        };
    };
    plugins: ({
        handler: () => void;
    } | typeof twProse | {
        handler: import('tailwindcss/types/config').PluginCreator;
        config?: Partial<import('tailwindcss/types/config').Config> | undefined;
    })[];
};
export default _default;
